> ## Documentation Index
> Fetch the complete documentation index at: https://docs.suprsend.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Workspace Public Keys

> List public keys for this workspace. Public keys are used by client-side SDKs.



## OpenAPI

````yaml GET /v1/{workspace}/ws_public_key/
openapi: 3.1.1
info:
  title: SuprSend API
  description: APIs supported on suprsend platform
  version: 1.2.2
servers:
  - url: https://hub.suprsend.com
security:
  - sec0: []
  - BearerAuth: []
paths:
  /v1/{workspace}/ws_public_key/:
    get:
      summary: List Workspace Public Keys
      description: >-
        List public keys for this workspace. Public keys are used by client-side
        SDKs.
      operationId: list-workspace-public-keys
      parameters:
        - in: path
          name: workspace
          required: true
          schema:
            type: string
          description: Workspace slug (e.g. `staging`, `production`).
      responses:
        '200':
          description: Successfully retrieved public keys.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ManagementWorkspacePublicKeyListResponse'
              example:
                meta:
                  count: 2
                  limit: 10
                  offset: 0
                results:
                  - id: ws_pubk_exampleId01
                    api_key: SS.PUBK.xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
                    name: web-app
                    allowed_domains: null
                    is_secure_mode_enabled: false
                    is_deleted: false
                    is_default: false
                    created_at: '2026-04-21T11:12:23.557360Z'
                    created_by:
                      name: System User
                      email: org_XXXXXXXXXXXXXXXXXXXXXX@systemuser.suprsend.com
                    rotated_at: null
                    rotated_by: null
                    updated_at: '2026-04-21T11:12:23.557406Z'
                    updated_by: null
                  - id: ws_pubk_exampleId02
                    api_key: SS.PUBK.yyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyy
                    name: default
                    allowed_domains: null
                    is_secure_mode_enabled: false
                    is_deleted: false
                    is_default: true
                    created_at: '2024-08-27T10:54:03.512045Z'
                    created_by: null
                    rotated_at: '2026-04-15T17:59:45.634355Z'
                    rotated_by:
                      name: System User
                      email: org_XXXXXXXXXXXXXXXXXXXXXX@systemuser.suprsend.com
                    updated_at: '2026-04-15T17:59:45.634452Z'
                    updated_by:
                      name: System User
                      email: org_XXXXXXXXXXXXXXXXXXXXXX@systemuser.suprsend.com
        '401':
          $ref: '#/components/responses/AuthenticationError'
        '404':
          $ref: '#/components/responses/NotFoundError'
      security:
        - ServiceTokenAuth: []
      servers:
        - url: https://management-api.suprsend.com
      x-codeSamples:
        - lang: cURL
          label: List Workspace Public Keys
          source: >
            curl -X GET
            "https://management-api.suprsend.com/v1/{workspace}/ws_public_key/"
            \
              --header 'Authorization: ServiceToken <SERVICE_TOKEN>' \
              --header 'Content-Type: application/json'
components:
  schemas:
    ManagementWorkspacePublicKeyListResponse:
      type: object
      properties:
        meta:
          $ref: '#/components/schemas/ManagementListMeta'
        results:
          type: array
          items:
            $ref: '#/components/schemas/ManagementWorkspacePublicKey'
    ManagementListMeta:
      type: object
      description: Pagination metadata (when applicable)
      properties:
        count:
          type: integer
          description: Total items matching the query
        limit:
          type: integer
          nullable: true
        offset:
          type: integer
          nullable: true
    ManagementWorkspacePublicKey:
      type: object
      description: Workspace public key used by client SDKs.
      properties:
        id:
          type: string
          example: ws_pubk_exampleId01
        api_key:
          type: string
          description: Public key value exposed to clients.
          example: SS.PUBK.xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
        name:
          type: string
          example: web-app
        allowed_domains:
          type: array
          nullable: true
          items:
            type: string
        is_secure_mode_enabled:
          type: boolean
        is_deleted:
          type: boolean
        is_default:
          type: boolean
        created_at:
          type: string
          format: date-time
        created_by:
          $ref: '#/components/schemas/ManagementActor'
        rotated_at:
          type: string
          format: date-time
          nullable: true
        rotated_by:
          $ref: '#/components/schemas/ManagementActor'
        updated_at:
          type: string
          format: date-time
        updated_by:
          $ref: '#/components/schemas/ManagementActor'
    ErrorResponse:
      type: object
      properties:
        code:
          type: integer
          description: HTTP status code
        error_code:
          type: string
          description: Specific error code identifier
        type:
          type: string
          description: Error type classification
        message:
          type: string
          description: Human-readable error message
        detail:
          type: string
          description: Additional error details
    ManagementActor:
      type: object
      description: >-
        Identity that performed an action (created, updated, rolled, deleted,
        rotated).
      nullable: true
      properties:
        name:
          type: string
          description: Display name of the actor.
          example: System User
        email:
          type: string
          description: Email address of the actor.
          example: user@example.com
  responses:
    AuthenticationError:
      description: Authentication failed
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            code: 401
            error_code: authentication_failed
            type: AuthenticationFailed
            message: Invalid service token.
            detail: Invalid service token.
    NotFoundError:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            code: 404
            error_code: not_found
            type: NotFound
            message: workspace 'demo' not found
            detail: workspace 'demo' not found
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer
      description: >-
        Bearer authentication header of the form `Bearer <token>`, where <token>
        is your auth token.
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API_Key
      description: >-
        Pass as `Bearer <API_KEY>`. Get API Key from SuprSend dashboard
        Developers -> API Keys section.
    ServiceTokenAuth:
      type: apiKey
      in: header
      name: ServiceToken <token>
      description: >-
        You can get Service Token from [SuprSend dashboard -> Account Settings
        -> Service
        Tokens](https://app.suprsend.com/en/account-settings/service-tokens)
        section.

````